Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v3
Class RequestPublicationRequest

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v3.RequestPublicationRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:43:02+02:00",
               comments="JAXB RI v2.3.6")
    public class RequestPublicationRequest

extends Object
implements Serializable

Java class for RequestPublicationRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RequestPublicationRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestType"/>
             <element name="select" type="{http://www.ehealth.fgov.be/hubservices/core/v3}SelectRequestPublicationType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RequestPublicationRequest()`

Method Summary
`RequestType` | `getRequest()` Gets the value of the request property.
`SelectRequestPublicationType` | `getSelect()` Gets the value of the select property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.
`void` | `setSelect(SelectRequestPublicationType value)` Sets the value of the select property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestPublicationRequest

    public RequestPublicationRequest()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getSelect

    public SelectRequestPublicationType getSelect()

  Gets the value of the select property.

  Returns:
    possible object is `SelectRequestPublicationType`

### setSelect

    public void setSelect(SelectRequestPublicationType value)

  Sets the value of the select property.

  Parameters:
    `value` - allowed object is `SelectRequestPublicationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.